CUDA Runtime API (PDF) - v11.0.207 (older) - Last updated June 29, 2020 - Send Feedback

## 6.22. cudaMemcpy3DPeerParms Struct Reference

## [Data types used by CUDA Runtime]

CUDA 3D cross-device memory copying parameters

### Public Variables

cudaArray_t dstArray
int dstDevice
struct cudaPos dstPos
struct cudaPitchedPtr dstPtr
struct cudaExtent extent
cudaArray_t srcArray
int srcDevice
struct cudaPos srcPos
struct cudaPitchedPtr srcPtr

### Variables

cudaArray_t cudaMemcpy3DPeerParms::dstArray [inherited]

  Destination memory address

int cudaMemcpy3DPeerParms::dstDevice [inherited]

  Destination device

struct cudaPos cudaMemcpy3DPeerParms::dstPos [inherited]

  Destination position offset

struct cudaPitchedPtr cudaMemcpy3DPeerParms::dstPtr [inherited]

  Pitched destination memory address

struct cudaExtent cudaMemcpy3DPeerParms::extent [inherited]

  Requested memory copy size

cudaArray_t cudaMemcpy3DPeerParms::srcArray [inherited]

  Source memory address

int cudaMemcpy3DPeerParms::srcDevice [inherited]

  Source device

struct cudaPos cudaMemcpy3DPeerParms::srcPos [inherited]

  Source position offset

struct cudaPitchedPtr cudaMemcpy3DPeerParms::srcPtr [inherited]

  Pitched source memory address